#! /bin/bash

version=1.10.9
name=Botan-${version}
suffix=.tbz
newsuffix=.stripped.tbz
compr=bzip2

trap '${tmpfile:+rm ${tmpfile}}' EXIT
tmpfile=$(mktemp)

${compr} -cd ${name}${suffix} > ${tmpfile}

tar --delete --file=${tmpfile} Botan-${version}/src/block/rc6
tar --delete --file=${tmpfile} Botan-${version}/src/block/rc5
tar --delete --file=${tmpfile} Botan-${version}/src/pubkey/gost_3410

${compr} -c ${tmpfile} > ${name}${newsuffix}
